/** example1.dart --- Illustrates how to use the Animation class.
 *
 * Copyright (C) 2014  Miguel Guedes
 * 
 * Author: Miguel Guedes <miguel.a.guedes@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see http://www.gnu.org/licenses/.
 *
 * Comments:
 * 
 */


import 'dart:html';
import 'dart:async';

import '../lib/animator.dart';


void createAnimation(final String id)
{
  final Element node = document.body.querySelector("#$id");

  Animator.create(node, 'opacity: 1', new Duration(seconds:1));
  Animator.createAll(
      node,
      [ 'width: 300px', 'height: 200px', 'line-height:200px' ],
      new Duration(seconds: 1))[0]
    .on.end(() => print("$id: animations finished"));
}

void main()
{
  createAnimation("hello-tl");
  createAnimation("hello-tr");
  createAnimation("hello-br");
  createAnimation("hello-bl");
}